# Set auto top-up `PUT /v1/billing/wallet/auto-top-up` **In this build:** Real. **Scope:** `billing.write` **CLI:** `harebox wallet auto-top-up` ## Request: `AutoTopUp` | Field | Type | Notes | |---|---|---| | `enabled` (required) | `boolean` | | | `amount_usd` | `number` | | | `trigger_below_usd` | `number` | | ## Response: 200 `AutoTopUp` | Field | Type | Notes | |---|---|---| | `enabled` (required) | `boolean` | | | `amount_usd` | `number` | | | `trigger_below_usd` | `number` | | Errors follow [one format](../errors.html).